# Interface VerticalOffsetJson

Shifts the symbol along the vertical world axis by a given length. The length is set in screen space units. See https://developers.arcgis.com/web-scene-specification/objects/verticalOffset/.

interface VerticalOffsetJson {
maxWorldLength?: number;
minWorldLength?: number;
screenLength: number;
}

#####
Index

### Properties

maxWorldLength?
minWorldLength?
screenLength

##
Properties

### `Optional` maxWorldLength

maxWorldLength?: number

The maximum vertical symbol lift in world units. It acts as an upper bound to avoid lift becoming too big.

### `Optional` minWorldLength

minWorldLength?: number

The minimum vertical symbol lift in world units. It acts as a lower bound to avoid lift becoming too small.

### screenLength

screenLength: number

Maximal screen length of lift in points.